> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List App Instances

> List app instances owned by the team along with those shared with it.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml get /v2/app-instances
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent Session API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/app-instances:
    get:
      tags:
        - App Instance API
      summary: List App Instances
      description: List app instances owned by the team along with those shared with it.
      operationId: svrelay.publicv2.PublicAPIServiceV2.ListAppInstances
      parameters:
        - name: teamId
          in: query
          description: The ID of the team.
          schema:
            type: string
            title: team_id
            description: The ID of the team.
        - name: pageSize
          in: query
          description: >-
            Maximum number of results to return. Default is 10000, maximum is
            10000.
          schema:
            type: integer
            title: page_size
            format: int32
            description: >-
              Maximum number of results to return. Default is 10000, maximum is
              10000.
        - name: pageToken
          in: query
          description: Token for pagination. Leave empty for the first request.
          schema:
            type: string
            title: page_token
            description: Token for pagination. Leave empty for the first request.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/svflow.publicapi.ListAppInstancesResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svflow.publicapi.ListAppInstancesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/svflow.pubapimodels.AppInstance'
          title: data
          description: The list of app instances.
          x-stainless-terraform-configurability: optional
        nextPageToken:
          type: string
          title: next_page_token
          description: >-
            Token for retrieving the next page of results. Empty if no more
            results.
          nullable: true
          x-stainless-terraform-configurability: optional
      title: ListAppInstancesResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svflow.pubapimodels.AppInstance:
      type: object
      properties:
        customServiceId:
          type: string
          title: custom_service_id
          description: >-
            **Option: custom_service_id** — The ID of the custom service (for
            custom apps).
          x-stainless-terraform-configurability: optional
        service:
          type: string
          title: service
          description: >-
            **Option: service** — The service identifier (for built-in services
            like "github", "okta", "aws").
          x-stainless-terraform-configurability: optional
        id:
          type: string
          title: id
          description: The ID of the app instance.
          readOnly: true
          x-stainless-terraform-configurability: computed
        teamId:
          type: string
          title: team_id
          description: |-
            The ID of the Serval team that owns the app instance. For instances
             returned by ListAppInstances because they are shared with the requesting
             team, this is the owning team's ID and will differ from the request
             team_id.
          x-stainless-terraform-configurability: optional
        externalServiceInstanceId:
          type: string
          title: external_service_instance_id
          description: >-
            The external service instance ID (e.g., GitHub org name, Okta
            domain, AWS account ID).
          x-stainless-terraform-configurability: optional
        name:
          type: string
          title: name
          description: The name of the app instance.
          x-stainless-terraform-configurability: optional
        accessRequestsEnabled:
          type: boolean
          title: access_requests_enabled
          description: Whether access requests are enabled for the app instance.
          x-stainless-terraform-configurability: computed_optional
        defaultAccessPolicyId:
          type: string
          title: default_access_policy_id
          description: The default access policy for the app instance.
          nullable: true
          x-stainless-terraform-configurability: optional
        customServiceName:
          type: string
          title: custom_service_name
          description: >-
            The display name of the custom service (only set when service_type
            is custom_service_id).
          x-stainless-terraform-configurability: optional
        tagIds:
          type: array
          items:
            type: string
          title: tag_ids
          description: IDs of the tags currently attached to this app instance.
          x-stainless-terraform-configurability: optional
      title: AppInstance
      description: |-
        Configuration object.

        **Set exactly ONE of:** customServiceId, service
      additionalProperties: false
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````